AplasAplas API Reference

List all applications

GET
/index/{indexId}/application

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

indexId*string

The id of the containing index

Query Parameters

fields?string

Comma-separated list of additional fields to return. Use 'fields=*' to return all available fields. See the resource schema for fields you can request.

tagId?string

Filter by a particular application tag id

Response Body

*/*

*/*

curl -X GET "https://api.au.aplas.com/api/v2/index/id/application?fields=shortName%2Cvendor"
[
  {
    "id": "id",
    "name": "Application A",
    "mapSize": "Large",
    "tagIds": [
      "id_tag"
    ],
    "description": "More information",
    "status": "Standard",
    "customFieldA": "Custom Field Value",
    "health": [
      {
        "label": "arch",
        "value": "healthy"
      },
      {
        "label": "ops",
        "value": "normal"
      },
      {
        "label": "dev",
        "value": "unhealthy"
      },
      {
        "label": "overall",
        "value": "normal"
      }
    ],
    "componentIds": [
      "id_component_1",
      "id_component_2"
    ]
  }
]
{
  "code": 500,
  "message": "Internal server error"
}